<template>
  <div class="w-[82] text-white">
    <div class="text-white font-bold text-xl ml-4 mb-1">{{ title }}</div>
    <select @change="$event => $emit('update:modelValue', $event.target.value)" class="box-border h-12 mb-6 focus:border-yellow-300 focus:outline-none focus:border-2 border w-full py-2 px-4 rounded-3xl text-xl bg-gray-700 border-blue-300 font-medium">
      <option v-for="opt of options" :key="opt" :selected="opt == defaultOption">
        {{ opt }}
      </option>
    </select>
  </div>
</template>

<script>

export default {
  props: ['options', 'modelValue', 'defaultOption', 'title'],
  emits: ['update:modelValue']
}

</script>